package sinuhlu;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.util.Scanner;

/**
 *
 * @author lsroubov
 */
public class TabulkaUhlu {

    public int nactiCislo() {
        Scanner kl = new Scanner(System.in);
        int krok = 0;
        do {
            try {
                System.out.print("Zadej krok: ");
                krok = Integer.parseInt(kl.next());
            } catch (NumberFormatException e) {
                System.out.println("zadej cele cislo.");
            }
        } while ((krok < 1) || (krok > 180));
        return (krok);
    }

    public double[][] naplnTabulku(int krok) {
        int radku = (360 / krok) + 1;
        double[][] pole = new double[radku][3];
        int r = 0;
        String radka;
        for (int i = 0; i <= 360; i += krok) {
            pole[r][0] = (double) i; // uhel ve stupnich
            pole[r][1] = pole[r][0] * Math.PI / 180; // prevod na radiany
            pole[r][2] = Math.sin(pole[r][1]); // vypocet sin z uhlu v radianech
            radka = String.format("%8.0f; %8.4f; %8.4f;", pole[r][0], pole[r][1], pole[r][2]);
            System.out.println(radka);
            r++;
        }
        return (pole);
    }

    public void ulozDoSouboru(int krok, String nazev) {
        double pole[][] = naplnTabulku(krok);
        String prvniRadka = String.format("uhel [st]; uhel [rad]; sin(uhel);");
        try (BufferedWriter bw = new BufferedWriter(new FileWriter(nazev))) {
            bw.write(prvniRadka);
            bw.newLine();
            bw.flush();
            System.out.println("do souboru " + nazev + " byla zapsana 1. radka");
        } catch (Exception e) {
            System.err.println("Nelze psat do " + nazev);
        }
        String radka;
        for (int r = 0; r < pole.length; r++) {
            radka = String.format("%8.0f; %8.4f; %8.4f;", pole[r][0], pole[r][1], pole[r][2]);
            try (BufferedWriter bw = new BufferedWriter(new FileWriter(nazev,true))) {
                bw.write(radka);
                bw.newLine();
                bw.flush();
            } catch (Exception e) {
                System.err.println("Nelze psat do " + nazev);
            }
        }
        System.out.println("do souboru " + nazev + " byla zapsana tabulka uhlu");
    }
}
